/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.required-field::before {
    content: "* ";
    color: red;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.pageButton {
    font-size: 20px;
    margin-left: 7px;
    margin-right: 7px;
}

#pageInput {
    text-align: center;
}

.full-screen-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

    .full-screen-image img {
        width: 100%;
        height: auto; /* Maintain aspect ratio */
    }

.iframe-container {
    display: flex !important;
    justify-content: center !important; /* Center horizontally */
    /*align-items: center;*/ /* Center vertically */

    height: 70vh !important; /* Full viewport height */
}

iframe {
    justify-content: center !important;
    max-width: 100% !important;
    max-height: 100% !important;
}
/* card styles
-------------------------------------------------- */
.custom-card {
    width: 100%;
    background-color: #003366;
    border: 1px solid #ccc;
}

.card-header {
    background-color: #003366 !important; /* Dark blue */
    color: white !important; /* White text */
}

.form-row {
    display: flex;
    flex-wrap: wrap; /* Allows items to wrap to the next line as necessary */
    /*    margin-right: 15px;  
*/ /*margin-left: -15px;*/ /* Negative margin for horizontal spacing */
}

.custom-textarea200height {
    min-height: 400px; /* Set a minimum height */
    resize: vertical; /* Allow vertical resizing only */
    box-sizing: initial; /* Include padding and borders in the element's total width/height */
    margin-right: 0.5rem; /* Add right margin */
}
/*Table Styles*/
/* Custom Table Header */
.table-header {
    background-color: #003366; /* Dark blue background */
    color: white; /* White text */
    position: sticky; /* Makes the header sticky */
    top: 0; /* Position from the top */
    z-index: 10; /* Ensure the header is above other elements */
}
/* Alternating Row Colors */
#employeesTable tbody tr:nth-child(odd) {
    background-color: #d9e6f2; /* Light Blue */
}

#employeesTable tbody tr:nth-child(even) {
    background-color: #ffffff; /* White for even rows */
}

.pagination {
    display: flex;
    justify-content: center; /* Center pagination */
    align-items: center; /* Align vertically */
    margin-top: 20px; /* Space above */
}

.page-link {
    margin: 0 5px;
    padding: 8px 12px;
    border: 1px solid #007bff; /* Border color */
    border-radius: 5px;
    color: #007bff; /* Link color */
    text-decoration: none; /* Remove underline */
    background-color: white; /* Background color */
}

    .page-link:hover {
        background-color: #e2e6ea; /* Light gray on hover */
    }

.current-page {
    padding: 8px 12px;
    border: 1px solid #007bff; /* Border color */
    border-radius: 5px;
    background-color: #007bff; /* Highlighted color */
    color: white; /* Text color for highlighted */
}

.page-info {
    margin-left: 10px; /* Space between links and page info */
    font-weight: bold; /* Make it bold */
}

/*Button style*/
.btn {
    margin: 0 5px; /* Space between Buttons */
}

    .btn:hover {
        opacity: 0.85; /* Slightly darken Buttons on hover */
    }
/*App Message style*/
.system-banner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px; /* height of the banner */
    background-color: #333; /* background color, change as needed */
    color: #fff; /* text color */
    display: flex;
    align-items: center;
    overflow: hidden;
    z-index: 9999;
}

    .system-banner span {
        display: inline-block;
        white-space: nowrap;
        padding-left: 100%; /* Start outside the view for scrolling in */
        animation: scroll-left 20s linear infinite;
    }

/* Animation keyframe for scrolling text */
@keyframes scroll-left {
    0% {
        transform: translateX(0);
    }

    100% {
        /* shift by the width of the message plus some extra for seamlessness */
        transform: translateX(-100%);
    }
}

/* Notification Section */
.step .icon-circle {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #ccc;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

    .step .icon-circle.active {
        background-color: #007bff; /* Bootstrap primary color */
        color: #fff;
    }

.line {
    flex: 1;
    height: 2px;
    background-color: #ccc;
    align-self: center;
}
/*Select 2 styles*/
.bordered-label {
    display: inline-block; /* keep inline-block for size control */
    width: 100% !important; /* full width */
    padding: 0.25em 0.75em; /* spacing around text */
    border: 1px solid #6c757d; /* border color */
    border-radius: 0.25rem; /* rounded corners */
    background-color: #fff; /* background */
    font-size: 1rem; /* font size */
    margin-bottom: -.25em; /* no margin at bottom */
    box-sizing: border-box; /* include padding and border in width */
    border-bottom: none;
    border-color: rgb(199, 209, 222);
}
/* Remove top border of Select2 control */
.select2-container--default .select2-selection--single {
    width: 100% !important; /* full width */

    border-top: none;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-bottom-left-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
    border-color: rgb(199, 209, 222);
}

.select2-container {
    width: 100% !important;
}

/* Optional: ensure the select element inside the container is full width as well */
.select2-selection--single {
    width: 100% !important;
}
/*Table Container styles for Index*/
.table-container700h {
    height: 70vh; /*Set a fixed height for the table container */
    overflow-y: auto; /*Enable vertical scrolling */
    border: 1px solid #dee2e6; /*Optional: Add a border*/
    border-radius: 0.25rem; /*Optional: Round the corners*/
    position: relative; /* Ensure this is relative to position children */
    overflow-x: auto; /* Allow horizontal scrolling for the table */
}
